package com.gemho.action;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

import org.apache.struts2.ServletActionContext;

import com.gemho.bean.TabPermission;
import com.gemho.bean.TabRole;
import com.gemho.dao.RoleImpl;
import com.opensymphony.xwork2.ActionSupport;

public class UpdateRoleAction extends ActionSupport{

	private static final long serialVersionUID = 1L;
	private RoleImpl roledao;
	
	private Integer id;
	private String rolename;
	private String rolecontent;
	private List perids;
	private String[] allPers;
	private Set<TabPermission> pers;
	public void setRoledao(RoleImpl roleDao) {
		this.roledao = roleDao;
	}
	
	private TabRole rolebean ;
	
	public String execute()throws Exception{
        System.out.println(perids.size());
		Set<TabPermission> se = new HashSet<TabPermission>();
		for(int i =0;i<perids.size();i++){
			TabPermission tp = roledao.selectPermission(Integer.parseInt(perids.get(i)+""));
			se.add(tp);
		}
		TabRole tr = roledao.selectRole(id);
		tr.setRolecontent(rolecontent);
		tr.setRolename(rolename);
		tr.setPers(se);
		roledao.updateRole(tr);
		return SUCCESS;
	}

	public TabRole getRolebean() {
		return rolebean;
	}
	public void setRolebean(TabRole rolebean) {
		this.rolebean = rolebean;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}

	public String getRolename() {
		return rolename;
	}

	public void setRolename(String rolename) {
		this.rolename = rolename;
	}

	public String getRolecontent() {
		return rolecontent;
	}

	public void setRolecontent(String rolecontent) {
		this.rolecontent = rolecontent;
	}

	public Set<TabPermission> getPers() {
		return pers;
	}

	public void setPers(Set<TabPermission> pers) {
		this.pers = pers;
	}

	public List getPerids() {
		return perids;
	}

	public void setPerids(List perids) {
		this.perids = perids;
	}

	public String[] getAllPers() {
		return allPers;
	}

	public void setAllPers(String[] allPers) {
		this.allPers = allPers;
	}


}
