package com.gemho.action;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

import org.apache.struts2.ServletActionContext;

import com.gemho.bean.TabPermission;
import com.gemho.bean.TabRole;
import com.gemho.bean.TabSensor;
import com.gemho.bean.TabUser;
import com.gemho.daoIf.ConfigDao;
import com.opensymphony.xwork2.ActionSupport;

public class ConfigAction extends ActionSupport{
	private static final long serialVersionUID = 1L;
	private String[] guanli;
	private String quanxian;
	private ConfigDao configDao;
	private List<TabSensor> sensorlist;
	private TabSensor sensor;
	private Integer id;
	
    public void setConfigDao(ConfigDao configDao) {
		this.configDao = configDao;
	}
	public String add(){
		TabUser user = (TabUser) ServletActionContext.getRequest().getSession().getAttribute("loginEmp");
		Set<TabRole> roles = user.getRoles();
		TabRole rol = new TabRole();
		for(TabRole ro : roles){
			rol = ro;
		}
		Set<TabPermission> pers = rol.getPers();
		Set<String> ps = new HashSet<String>();
		for(TabPermission per : pers){
			String p = per.getPername();
			ps.add(p);
		}
    	for(String qx : guanli){
    		configDao.addquanxian(qx);
    		if(!ps.contains(qx)){
    			ps.add(qx);
    		}
    	}
    	Set<TabPermission> newpers = new HashSet<TabPermission>();
    	for(String pp : ps){
    		TabPermission tp = new TabPermission();
    		tp.setPername(pp);
    		newpers.add(tp);
    	}
    	TabRole tr = new TabRole();
    	tr.setPers(newpers);
    	roles.clear();
    	roles.add(tr);
    //	RoleImpl ri = new RoleImpl();
    	//ri.updateRole(tr);
		return SUCCESS;
    }
	
	public String del(){
		for(String qx : guanli){
    		configDao.delquanxian(qx);
    	}
		return SUCCESS;
	}
	
	public String loadsensor(){
		sensorlist = configDao.loadsensor();
		return SUCCESS;
	}
	
	public String uploadSensor(){
		sensor = configDao.loadsensorbyid(id);
		return SUCCESS;
	}
	
	public String updateSensor(){
		configDao.updateSensor(sensor);
		return SUCCESS;
	}
	
	public String[] getGuanli() {
		return guanli;
	}
	public void setGuanli(String[] guanli) {
		this.guanli = guanli;
	}
	public String getQuanxian() {
		return quanxian;
	}
	public void setQuanxian(String quanxian) {
		this.quanxian = quanxian;
	}
	public List<TabSensor> getSensorlist() {
		return sensorlist;
	}
	public void setSensorlist(List<TabSensor> sensorlist) {
		this.sensorlist = sensorlist;
	}
	public TabSensor getSensor() {
		return sensor;
	}
	public void setSensor(TabSensor sensor) {
		this.sensor = sensor;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
    
}
